$theme-colors: (
  "primary": #6E2594,
  "secondary": #ECD444,
  "tertiary": #808080,
  );

@import "../node_modules/bootstrap/scss/bootstrap";

:root {
  font-size: 24px;
}

// start common

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: 'Catamaran', sans-serif;
}

body {
  background-image: url(./../../assets/images/banner.jpg);
  background-size: cover;
  background-attachment: fixed;
  background-position: center center;
}

.footer {
  clear: both;
  position: relative;
  height: 230px;
  margin-top: -200px;
  height: 200px;
  width: 80vw;
  background: linear-gradient(rgba(255,255,255, 1), rgba(255,255,255, 0.6), );
  margin: 0 auto;
  margin-bottom: 0;

}


footer ul {
  text-decoration-style: none;
  list-style: none;
}

footer a,
footer div p {
  color: #010101;
  font-weight: 100;
  text-shadow: 1px 1px 8px #f1f1f1; 
  font-size: 20px;
}

footer div p {
  text-align: right;
}

.socials {
  margin: 0 20px 0;
  height: 30px;
  width: 30px;
}

// end common

// start common index home

.navbar {
  height: 20px;
}

.navbar-brand {
  font-size: 25px;
}

.banner {

	background-image: url(./../../assets/images/banner.jpg);
	background-size: cover;
	background-repeat: no-repeat;
	background-attachment: fixed;
	background-position: center center;
	width: 100vw;
	height: 100vh;
	display: table;
	position: relative;
  margin: 0;
}

.vertical-center {
	display: table-cell;
	position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  text-align: center;
}

.vertical-center h2 {
	color: #ffffff;
  font-weight: 900;
  text-transform: uppercase;
  font-size: 28px;
  text-shadow: 2px 2px 8px #f1f1f1;
}

.vertical-center h1 {
  color: #ffffff;
  font-weight: 100;
  font-style: italic;
  font-size: 20px;
  text-shadow: 2px 2px 8px #f1f1f1;
}

// end common index home

// start index

#enterwocbtn {
  display: table-cell;
  position: absolute;
  left: 50%;
  top: 80%;
  transform: translate(-50%, -50%);
  text-align: center;
}

// end index

// start home

#bannerhome {
  height: 40vh;
}

.modal-content {
  background: linear-gradient(rgba(255,255,255, 0.9), rgba(255,255,255, 0.8));
  color: black;
  text-shadow: 2px 2px 8px #f1f1f1;
  font-weight: 600;
}

.cb {
  height: 400px;
}

#wrs {
  background-image: url("./../../assets/images/wr.jpg");
  background-position: center center;
  background-size: contain;
  background-repeat: no-repeat;
}

#rs {
  background-image: url("./../../assets/images/rs.jpg");
  background-position: center center;
  background-size: contain;
  background-repeat: no-repeat;
}

#wp {
  background-image: url("./../../assets/images/wp.jpg");
  background-position: center center;
  background-size: contain;
  background-repeat: no-repeat;
}
#ks {
  background-image: url("./../../assets/images/ks.jpg");
  background-position: center center;
  background-size: contain;
  background-repeat: no-repeat;
}

#el {
  background-image: url("./../../assets/images/el.jpg");
  background-position: center center;
  background-size: contain;
  background-repeat: no-repeat;
}

#gl {
  background-image: url("./../../assets/images/gl.jpg");
  background-position: center center;
  background-size: contain;
  background-repeat: no-repeat;
}

.cb h5 {
  text-align: center;
  margin-bottom: 0px;
  text-shadow: 1px 1px 8px #f1f1f1;
  color: #010101;
  font-weight: 600;
}

.sec-hometable {
  position: relative;
  background: linear-gradient(rgba(0,0,0, 0.3), rgba(0,0,0, 0.3), );

}

table {
  border-collapse: collapse;
  width: 100%;
}

td, th {
  border: 1px solid #dddddd;
  text-align: center;
  padding: 8px;
}

tr:nth-child(even) {
  background-color: #dddddd;
}

.pushfooterhome {
  margin-bottom: 30px;
}

// end home

// start about

.containerplance {
  display: inline-block;
  text-align: center;
  padding: 0;
}

#plance {
  width: 60vw;
  height: auto;
  padding: 0;
  margin: 0;
}

.aboutcb {
  background: linear-gradient(rgba(0,0,0, 0.15), rgba(0,0,0, 0.15), );
}

.card-title {
  color: #ffffff;
}

.aboutcb h5 {
  text-transform: uppercase;
  text-align: center;
  font-weight: 600;
}

.aboutcb .card-text {
  color: white;
  font-weight: 100;
  text-align: justify;
  padding: 20px;
}

h5.card-title {
  margin-bottom: 0px;
  text-shadow: 1px 1px 8px #f1f1f1;
}

// end about

// start gallery

.gallerycb {
  background: linear-gradient(rgba(0,0,0, 0.3), rgba(0,0,0, 0.3), );
  display: inline-block;
}


.modal-dialog{
  position: relative;
  display: table;
  overflow-y: auto;    
  overflow-x: auto;
  width: auto;
  height: auto;
    // min-width: 300px;   
  }

  .modal-content {
    height: auto;
    width: 93vw;
  }

  .modal-body img {
    height: 100%;
    width: 100%;
  }

// end gallery

// start contact

#contact-page {
    background: linear-gradient(rgba(0,0,0, 0.3), rgba(0,0,0, 0.3), );
}

#contact-banner {
  background-image: url(./../../assets/images/contact-banner.png);
  background-position: center center;
  background-size: 100%;
  height: 400px;
  background-repeat: no-repeat;
  // background-color: blue;
}

#contact-text {
  position: absolute;
  bottom: 50px;
  text-align: left;
  color: #000000;
  text-shadow: 1px 1px 8px #f1f1f1;
}

label {
  color: #f1f1f1;
  text-shadow: 1px 1px 8px #f1f1f1;
}

.map-responsive{
  overflow:hidden;
  padding-bottom:56.25%;
  position:relative;
  height:0;
}

.map-responsive iframe{
  left:0;
  top:0;
  height:100%;
  width:100%;
  position:absolute;
}

// end contact

// ----------------------------------------

// start mobile

// start common

@media only screen and (max-width: 400px) {

  * {
    font-size: 16px;
  }

  footer a,
  footer div p {
    font-size: 16px;
  }

  .socials {
    margin: 0 5px 0;
    height: 25px;
    width: 25px;
  }

// end common

// start common index home

.navbar {
  height: 20px;
}

.navbar-brand {
  font-size: 1em;
}

// end common index home

// start home

#bannerhome {
  height: 30vh;
}

.cb {
  height: 170px;
  margin-bottom: 10px; 
}

.cb h5 {
  font-size: 1.25em;
  font-weight: 100;
}

td, th {
  padding: 2px;
}

.pushfooterhome {
  margin-bottom: 10px;
}

// end home

// start about

#plance {
  width: 100vw;
}

.aboutcb .card-text {
  padding: 5px;
}

h5.card-title {
  margin-top: 5px;
}

// end about

// start contact

#contact-banner {
  height: 125px;
}

#contact-text {
  font-size: 1.25em;

}
label {
  color: #f1f1f1;
  text-shadow: 1px 1px 8px #f1f1f1;
}

.buttonspace {
  margin-bottom: 20px;
}

// end contact

}

// end mobile

// ----------------------------------------

// start tablet

@media only screen and (min-width: 401px) and (max-width: 960px) {

  * {
    font-size: 20px;
  }

  footer a,
  footer div p {
    font-size: 20px;
  }

  .socials {
    margin: 0 10px 0;
    height: 30px;
    width: 30px;
  }

// end common

// start common index home

.navbar {
  height: 20px;
}

.navbar-brand {
  font-size: 1.5em;
}

// end common index home

// start home

// start home

#bannerhome {
  height: 35vh;
}

.cb {
  height: 250px;
  margin-bottom: 10px; 
}

.cb h5 {
  font-size: 1.5em;
  font-weight: 300;
}

td, th {
  padding: 8px;
}

.pushfooterhome {
  margin-bottom: 40px;
}

// end home

// start about

// start about


#plance {
  width: 90vw;
}

.aboutcb .card-text {
  padding: 8px;
}

h5.card-title {
  margin-bottom: 5px;
}

// end about

// start gallery

// ??????????????????????????????????????????????????????????????????????????

.modal-dialog{
  position: relative;
  display: table;
  overflow-y: auto;    
  overflow-x: auto;
  width: auto;
  height: auto;
    // min-width: 300px;   
  }

  .modal-content {
    height: auto;
    width: 85vw;
  }

  .modal-body img {
    height: 100%;
    width: 100%;
  }

// ??????????????????????????????????????????????????????????????????????????

// end gallery

// start contact

#contact-banner {
  height: 250px;
}

#contact-text {
  font-size: 1.5em;
}

label {
  color: #f1f1f1;
  text-shadow: 1px 1px 8px #f1f1f1;
}

.buttonspace {
  margin-bottom: 10px;
}

}

// end tablet

// start contact


// end contact